## mingw-w64-bat-0.24.0-3.src.tar.zst

=== tests/syntax-tests/highlighted/CMake/CMakeLists.txt ===
[38;2;117;113;94m#[0m[38;2;117;113;94m This is a file for testing syntax highlighting.[0m
[38;2;102;217;239mcmake_minimum_required[0m[38;2;248;248;242m([0m[3;38;2;253;151;31mVERSION[0m[38;2;248;248;242m [0m[38;2;248;248;242m3.13[0m[38;2;248;248;242m)[0m
[38;2;102;217;239mproject[0m[38;2;248;248;242m([0m[38;2;248;248;242mhello-bat[0m[38;2;248;248;242m [0m[3;38;2;253;151;31mVERSION[0m[38;2;248;248;242m [0m[38;2;248;248;242m0.0.1[0m[38;2;248;248;242m [0m[3;38;2;253;151;31mLANGUAGES[0m[38;2;248;248;242m [0m[38;2;248;248;242mC[0m[38;2;248;248;242m)[0m

[38;2;102;217;239mset[0m[38;2;248;248;242m([0m[38;2;255;255;255mSOURCE_DIR[0m[38;2;248;248;242m [0m[38;2;230;219;116m"[0m[38;2;255;255;255m$[0m[38;2;230;219;116m{[0m[38;2;255;255;255mCMAKE_CURRENT_SOURCE_DIR[0m[38;2;230;219;116m}[0m[38;2;230;219;116m/src/[0m[38;2;230;219;116m"[0m[38;2;248;248;242m)[0m
[38;2;102;217;239mfile[0m[38;2;248;248;242m([0m[3;38;2;253;151;31mGLOB_RECURSE[0m[38;2;248;248;242m [0m[38;2;248;248;242mSOURCES[0m[38;2;248;248;242m [0m[38;2;230;219;116m"[0m[38;2;255;255;255m$[0m[38;2;230;219;116m{[0m[38;2;255;255;255mSOURCE_DIR[0m[38;2;230;219;116m}[0m[38;2;230;219;116m/*.c[0m[38;2;230;219;116m"[0m[38;2;248;248;242m)[0m

[38;2;102;217;239madd_executable[0m[38;2;248;248;242m([0m[38;2;248;248;242mhello-bat[0m[38;2;248;248;242m [0m[38;2;248;248;242mSOURCES[0m[38;2;248;248;242m)[0m

[38;2;102;217;239mfind_package[0m[38;2;248;248;242m([0m[38;2;248;248;242massimp[0m[38;2;248;248;242m [0m[3;38;2;253;151;31mCONFIG[0m[38;2;248;248;242m)[0m
[38;2;102;217;239mtarget_link_libraries[0m[38;2;248;248;242m([0m[38;2;248;248;242mhello-bat[0m[38;2;248;248;242m [0m[38;2;248;248;242massimp[0m[38;2;248;248;242m)[0m

[38;2;102;217;239moption[0m[38;2;248;248;242m([0m[38;2;230;219;116m"[0m[38;2;230;219;116mENABLE_TESTS[0m[38;2;230;219;116m"[0m[38;2;248;248;242m [0m[38;2;248;248;242mOFF[0m[38;2;248;248;242m)[0m
[38;2;249;38;114mif[0m[38;2;248;248;242m([0m[38;2;248;248;242mENABLE_TESTS[0m[38;2;248;248;242m)[0m
[38;2;248;248;242m  [0m[38;2;102;217;239madd_subdirectory[0m[38;2;248;248;242m([0m[38;2;230;219;116m"[0m[38;2;255;255;255m$[0m[38;2;230;219;116m{[0m[38;2;255;255;255mCMAKE_CURRENT_SOURCE_DIR[0m[38;2;230;219;116m}[0m[38;2;230;219;116m/tests/[0m[38;2;230;219;116m"[0m[38;2;248;248;242m)[0m
[38;2;249;38;114mendif[0m[38;2;248;248;242m([0m[38;2;248;248;242m)[0m
