=== tests/syntax-tests/highlighted/Makefile/Makefile ===
[38;2;124;120;101m#[0m[38;2;124;120;101m Redis Makefile[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m Copyright (C) 2009 Salvatore Sanfilippo <antirez at gmail dot com>[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m This file is released under the BSD license, see the COPYING file[0m
[38;2;124;120;101m#[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m The Makefile composes the final FINAL_CFLAGS and FINAL_LDFLAGS using[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m what is needed for Redis plus the standard CFLAGS and LDFLAGS passed.[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m However when building the dependencies (Jemalloc, Lua, Hiredis, ...)[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m CFLAGS and LDFLAGS are propagated to the dependencies, so to pass[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m flags only to be used when compiling / linking Redis itself REDIS_CFLAGS[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m and REDIS_LDFLAGS are used instead (this is the case of 'make gcov').[0m
[38;2;124;120;101m#[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m Dependencies are stored in the Makefile.dep file. To rebuild this file[0m
[38;2;124;120;101m#[0m[38;2;124;120;101m Just use 'make dep', but this is only needed by developers.[0m

[38;2;249;38;114mrelease_hdr[0m[38;2;248;248;242m [0m[38;2;249;38;114m:=[0m[38;2;248;248;242m [0m[38;2;249;38;114m$([0m[38;2;102;217;239mshell[0m[38;2;230;219;116m [0m[38;2;255;255;255msh[0m[3;38;2;253;151;31m -[0m[3;38;2;253;151;31mc[0m[38;2;255;255;255m [0m[38;2;230;219;116m'[0m[38;2;230;219;116m./mkreleasehdr.sh[0m[38;2;230;219;116m'[0m[38;2;249;38;114m)[0m
[38;2;249;38;114muname_S[0m[38;2;248;248;242m [0m[38;2;249;38;114m:=[0m[38;2;248;248;242m [0m[38;2;249;38;114m$([0m[38;2;102;217;239mshell[0m[38;2;230;219;116m [0m[38;2;255;255;255msh[0m[3;38;2;253;151;31m -[0m[3;38;2;253;151;31mc[0m[38;2;255;255;255m [0m[38;2;230;219;116m'[0m[38;2;230;219;116muname -s 2>/dev/null || echo not[0m[38;2;230;219;116m'[0m[38;2;249;38;114m)[0m
[38;2;249;38;114muname_M[0m[38;2;248;248;242m [0m[38;2;249;38;114m:=[0m[38;2;248;248;242m [0m[38;2;249;38;114m$([0m[38;2;102;217;239mshell[0m[38;2;230;219;116m [0m[38;2;255;255;255msh[0m[3;38;2;253;151;31m -[0m[3;38;2;253;151;31mc[0m[38;2;255;255;255m [0m[38;2;230;219;116m'[0m[38;2;230;219;116muname -m 2>/dev/null || echo not[0m[38;2;230;219;116m'[0m[38;2;249;38;114m)[0m
[38;2;249;38;114mOPTIMIZATION[0m[38;2;249;38;114m?=[0m[38;2;230;219;116m-O2[0m
[38;2;249;38;114mDEPENDENCY_TARGETS[0m[38;2;249;38;114m=[0m[38;2;230;219;116mhiredis linenoise lua[0m
[38;2;249;38;114mNODEPS[0m[38;2;249;38;114m:=[0m[38;2;230;219;116mclean distclean[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m Default settings[0m
[38;2;249;38;114mSTD[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-std=c11 -pedantic -DREDIS_STATIC=''[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfindstring[0m[38;2;248;248;242m [0m[38;2;248;248;242mclang[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mCC[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfindstring[0m[38;2;248;248;242m [0m[38;2;248;248;242mFreeBSD[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_S[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m  STD[0m[38;2;249;38;114m+=[0m[38;2;230;219;116m-Wno-c11-extensions[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mWARN[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-Wall -W -Wno-missing-field-initializers[0m
[38;2;249;38;114mOPT[0m[38;2;249;38;114m=[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mOPTIMIZATION[0m[3;38;2;249;38;114m)[0m

[38;2;249;38;114mPREFIX[0m[38;2;249;38;114m?=[0m[38;2;230;219;116m/usr/local[0m
[38;2;249;38;114mINSTALL_BIN[0m[38;2;249;38;114m=[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mPREFIX[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m/bin[0m
[38;2;249;38;114mINSTALL[0m[38;2;249;38;114m=[0m[38;2;230;219;116minstall[0m
[38;2;249;38;114mPKG_CONFIG[0m[38;2;249;38;114m?=[0m[38;2;230;219;116mpkg-config[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m Default allocator defaults to Jemalloc if it's not an ARM[0m
[38;2;249;38;114mMALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mlibc[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242marmv6l[0m[38;2;248;248;242m)[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242marmv7l[0m[38;2;248;248;242m)[0m
[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_S[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242mLinux[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m	MALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mjemalloc[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mendif[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m To get ARM stack traces if Redis crashes we need a special C flag.[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfilter[0m[38;2;248;248;242m [0m[38;2;248;248;242maarch64 armv[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m        CFLAGS[0m[38;2;249;38;114m+=[0m[38;2;230;219;116m-funwind-tables[0m
[38;2;249;38;114melse[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfindstring[0m[38;2;248;248;242m [0m[38;2;248;248;242marmv[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m        CFLAGS[0m[38;2;249;38;114m+=[0m[38;2;230;219;116m-funwind-tables[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mendif[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m Backwards compatibility for selecting an allocator[0m
[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mUSE_TCMALLOC[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242myes[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m	MALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mtcmalloc[0m
[38;2;249;38;114mendif[0m

[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mUSE_TCMALLOC_MINIMAL[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242myes[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m	MALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mtcmalloc_minimal[0m
[38;2;249;38;114mendif[0m

[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mUSE_JEMALLOC[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242myes[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m	MALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mjemalloc[0m
[38;2;249;38;114mendif[0m

[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mUSE_JEMALLOC[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242mno[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m	MALLOC[0m[38;2;249;38;114m=[0m[38;2;230;219;116mlibc[0m
[38;2;249;38;114mendif[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m Override default settings if possible[0m
[38;2;249;38;114m-include[0m[38;2;248;248;242m [0m[38;2;230;219;116m.make-settings[0m

[38;2;249;38;114mFINAL_CFLAGS[0m[38;2;249;38;114m=[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mSTD[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mWARN[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mOPT[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mDEBUG[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mCFLAGS[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mREDIS_CFLAGS[0m[3;38;2;249;38;114m)[0m
[38;2;249;38;114mFINAL_LDFLAGS[0m[38;2;249;38;114m=[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mLDFLAGS[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mREDIS_LDFLAGS[0m[3;38;2;249;38;114m)[0m[38;2;230;219;116m [0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31mDEBUG[0m[3;38;2;249;38;114m)[0m
[38;2;249;38;114mFINAL_LIBS[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-lm[0m
[38;2;249;38;114mDEBUG[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-g -ggdb[0m

[38;2;124;120;101m#[0m[38;2;124;120;101m Linux ARM needs -latomic at linking time[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfilter[0m[38;2;248;248;242m [0m[38;2;248;248;242maarch64 armv[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m        FINAL_LIBS[0m[38;2;249;38;114m+=[0m[38;2;230;219;116m-latomic[0m
[38;2;249;38;114melse[0m
[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[38;2;248;248;242m,[0m[38;2;249;38;114m$([0m[38;2;102;217;239mfindstring[0m[38;2;248;248;242m [0m[38;2;248;248;242marmv[0m[38;2;248;248;242m,[0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_M[0m[3;38;2;249;38;114m)[0m[38;2;249;38;114m)[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m        FINAL_LIBS[0m[38;2;249;38;114m+=[0m[38;2;230;219;116m-latomic[0m
[38;2;249;38;114mendif[0m
[38;2;249;38;114mendif[0m

[38;2;249;38;114mifeq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31muname_S[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242mSunOS[0m[38;2;248;248;242m)[0m
[38;2;248;248;242m	[0m[38;2;124;120;101m#[0m[38;2;124;120;101m SunOS[0m
[38;2;248;248;242m        [0m[38;2;249;38;114mifneq[0m[38;2;248;248;242m [0m[38;2;248;248;242m([0m[3;38;2;249;38;114m$([0m[3;38;2;253;151;31m@@[0m[3;38;2;249;38;114m)[0m[38;2;248;248;242m,[0m[38;2;248;248;242m32bit[0m[38;2;248;248;242m)[0m
[38;2;249;38;114m		CFLAGS[0m[38;2;249;38;114m+=[0m[38;2;248;248;242m [0m[38;2;230;219;116m-m64[0m
[38;2;249;38;114m		LDFLAGS[0m[38;2;249;38;114m+=[0m[38;2;248;248;242m [0m[38;2;230;219;116m-m64[0m
[38;2;248;248;242m	[0m[38;2;249;38;114mendif[0m
[38;2;249;38;114m	DEBUG[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-g[0m
[38;2;249;38;114m	DEBUG_FLAGS[0m[38;2;249;38;114m=[0m[38;2;230;219;116m-g[0m
[38;2;248;248;242m	[0m[38;2;249;38;114mexport[0m[38;2;249;38;114m CFLAGS LDFLAGS DEBUG DEBUG_FLAGS[0m
[38;2;249;38;114m	INSTALL[0m[38;2;249;38;114m=[0m[38;2;230;219;116mcp -pf[0m
[38;2;249;38;114m	FINAL_CFLAGS[0m[38;2;249;38;114m+=[0m[38;2;248;248;242m [0m[38;2;230;219;116m-D__EXTENSIONS__ -D_XPG6[0m
